Subject: Gnome 46: some applications are not scaled correctly (gimp, vorta, vlc, freecad)

From: Christophe Pisteur <[email-masked]>
Date: Tue, 15 Apr 2025 19:45:58 +0200

On Gnome 46 / Wayland with the Guix system (and linux kernel 6.13) and
a 200% scaled display, some applications are not scaled correctly, e.g.
gimp, vorta, vlc, freecad. 
Default gnome desktop applications, as well as other non-gnome
applications (libreoffice, icecat, etc.) are correctly scaled. 

These applications (gimp, vorta, vlc, freecad) were correctly scaled on
Gnome 44.

The problem appeared after a guix pull from gnome 44 to gnome 46 but
the problem can be reproduced from a fresh installation of guix system
with the gnome 46 desktop. 

I'll be happy to give you more details if necessary.

Christophe